---
title: "GET financialsummaries-purchaseorders"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/financialsummaries-purchaseorders/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /financialsummaries/purchaseorders

`GET` `/financialsummaries/purchaseorders`

## Query parameters

- `date_from` (string, optional)
- `date_to` (string, optional)
- `page_size` (string, optional)
- `page_number` (string, optional)
- `store_ids` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /financialsummaries/purchaseorders:
    get:
      parameters:
        - name: date_from
          in: query
          schema:
            type: string
        - name: date_to
          in: query
          schema:
            type: string
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: store_ids
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PurchaseOrderListResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    PurchaseOrderListResponse:
      type: object
      properties:
        page_number:
          $ref: "#/components/schemas/PageNumber"
        purchase_orders:
          type: array
          description: A list of purchase orders
          items:
            $ref: "#/components/schemas/PurchaseOrder"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        page_size:
          $ref: "#/components/schemas/PageSize"
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    PurchaseOrder:
      type: object
      properties:
        store_id:
          title: Store ID
          type: string
          description: The ID of the store that the purchase order is for
        date:
          title: Date
          type: string
          description: The date the purchase order was received
        purchase_order_id:
          title: Id
          type: string
          description: The id of the purchase order
        supplier_invoice_number:
          title: Supplier Invoice Number
          type: string
          description: The supplier invoice reference
        supplier_id:
          title: Supplier Id
          type: string
          description: The ID of the supplier within this system
        purchase_order_lines:
          type: array
          description: A list of items in the purchase order
          items:
            $ref: "#/components/schemas/PurchaseOrderLine"
      description: A purchase order
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
    PurchaseOrderLine:
      type: object
      properties:
        amount_tax:
          title: Amount Tax
          type: number
          description: The tax chargeable on the cost of the purchase order
        amount_inclusive:
          title: Amount Inclusive
          type: number
          description: The cost of the purchase order, inclusive of tax
        amount_exclusive:
          title: Amount Exclusive
          type: number
          description: The cost of the purchase order, exclusive of tax
        transaction_type:
          title: Transaction Type
          type: string
          description: The type of purchase order
      description: A purchase order
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
